com.amazonaws.services.machinelearning.model

## Class CreateDataSourceFromS3Result

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.CreateDataSourceFromS3Result

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateDataSourceFromS3Result
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `CreateDataSourceFromS3` operation, and is an acknowledgement that Amazon ML received the request.

The `CreateDataSourceFromS3` operation is asynchronous. You can poll for updates by using the `GetBatchPrediction` operation and checking the `Status` parameter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateDataSourceFromS3Result()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDataSourceFromS3Result` `clone()`
`boolean` `equals(Object obj)`
`String` `getDataSourceId()` A user-supplied ID that uniquely identifies the `DataSource`.
`int` `hashCode()`
`void` `setDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the `DataSource`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDataSourceFromS3Result` `withDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the `DataSource`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDataSourceFromS3Result

    public CreateDataSourceFromS3Result()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.

#### getDataSourceId

    public String getDataSourceId()

A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.

Returns:
  A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.

#### withDataSourceId

    public CreateDataSourceFromS3Result withDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the `DataSource`. This value should be identical to the value of the `DataSourceID` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDataSourceFromS3Result clone()

Overrides:
  `clone` in class `Object`